# coding: utf-8

"""
    VMware Aria Automation Pipelines APIs

    Aria Automation Pipelines is a continuous integration and continuous delivery (CICD) tool that you use to build Pipelines that model the software release process in your DevOps lifecycle. By creating Pipelines, you build the code infrastructure that delivers your software rapidly and continuously.  This page describes the RESTful APIs for Aria Automation Pipelines. The APIs facilitate CRUD operations on the various resources and entities used throughout Aria Automation Pipelines (Pipelines, Endpoints, Variables, etc.) and allow operations on them (executing a Pipeline, validating an Endpoint connection, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Aria Automation Pipelines entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/codestream/api/endpoints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/codestream/api/endpoints?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/codestream/api/endpoints?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /codestream/api/endpoints?$filter=startswith(name, 'ABC')     /codestream/api/endpoints?$filter=toupper(name) eq 'ABCD-JENKINS'     /codestream/api/endpoints?$filter=substringof(%27bc%27,tolower(name))     /codestream/api/endpoints?$filter=name eq 'ABCD' and project eq 'demo'   # noqa: E501

    OpenAPI spec version: 2019-10-17
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class UserOpResource(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'approver_groups': 'list[str]',
        'approvers': 'list[str]',
        'cancel_previous_pending_user_op': 'bool',
        'change_log': 'str',
        'comments': 'str',
        'created_at': 'datetime',
        'created_by': 'str',
        'description': 'str',
        'endpoint': 'str',
        'execution_id': 'str',
        'execution_index': 'int',
        'expiration': 'int',
        'expiration_in_days': 'int',
        'expiration_in_seconds': 'int',
        'expiration_unit': 'str',
        'expires_on_in_micros': 'int',
        'id': 'str',
        'index': 'str',
        'message': 'str',
        'name': 'str',
        'org_id': 'str',
        'parent_id': 'str',
        'pipeline': 'str',
        'pipeline_id': 'str',
        'project_id': 'str',
        'requested_by': 'str',
        'requested_on_in_micros': 'int',
        'responded_by': 'str',
        'responded_by_email': 'str',
        'responded_on_in_micros': 'int',
        'responder_roles': 'list[str]',
        'responder_token': 'str',
        'resume_count': 'int',
        'sendemail': 'bool',
        'stage_key': 'str',
        'status': 'str',
        'summary': 'str',
        'tags': 'list[str]',
        'task_execution_id': 'str',
        'task_key': 'str',
        'updated_at': 'datetime',
        'updated_by': 'str',
        'version': 'str'
    }

    attribute_map = {
        'approver_groups': 'approverGroups',
        'approvers': 'approvers',
        'cancel_previous_pending_user_op': 'cancelPreviousPendingUserOp',
        'change_log': 'changeLog',
        'comments': 'comments',
        'created_at': 'createdAt',
        'created_by': 'createdBy',
        'description': 'description',
        'endpoint': 'endpoint',
        'execution_id': 'executionId',
        'execution_index': 'executionIndex',
        'expiration': 'expiration',
        'expiration_in_days': 'expirationInDays',
        'expiration_in_seconds': 'expirationInSeconds',
        'expiration_unit': 'expirationUnit',
        'expires_on_in_micros': 'expiresOnInMicros',
        'id': 'id',
        'index': 'index',
        'message': 'message',
        'name': 'name',
        'org_id': 'orgId',
        'parent_id': 'parentId',
        'pipeline': 'pipeline',
        'pipeline_id': 'pipelineId',
        'project_id': 'projectId',
        'requested_by': 'requestedBy',
        'requested_on_in_micros': 'requestedOnInMicros',
        'responded_by': 'respondedBy',
        'responded_by_email': 'respondedByEmail',
        'responded_on_in_micros': 'respondedOnInMicros',
        'responder_roles': 'responderRoles',
        'responder_token': 'responderToken',
        'resume_count': 'resumeCount',
        'sendemail': 'sendemail',
        'stage_key': 'stageKey',
        'status': 'status',
        'summary': 'summary',
        'tags': 'tags',
        'task_execution_id': 'taskExecutionId',
        'task_key': 'taskKey',
        'updated_at': 'updatedAt',
        'updated_by': 'updatedBy',
        'version': 'version'
    }

    def __init__(self, approver_groups=None, approvers=None, cancel_previous_pending_user_op=None, change_log=None, comments=None, created_at=None, created_by=None, description=None, endpoint=None, execution_id=None, execution_index=None, expiration=None, expiration_in_days=None, expiration_in_seconds=None, expiration_unit=None, expires_on_in_micros=None, id=None, index=None, message=None, name=None, org_id=None, parent_id=None, pipeline=None, pipeline_id=None, project_id=None, requested_by=None, requested_on_in_micros=None, responded_by=None, responded_by_email=None, responded_on_in_micros=None, responder_roles=None, responder_token=None, resume_count=None, sendemail=None, stage_key=None, status=None, summary=None, tags=None, task_execution_id=None, task_key=None, updated_at=None, updated_by=None, version=None):  # noqa: E501
        """UserOpResource - a model defined in Swagger"""  # noqa: E501
        self._approver_groups = None
        self._approvers = None
        self._cancel_previous_pending_user_op = None
        self._change_log = None
        self._comments = None
        self._created_at = None
        self._created_by = None
        self._description = None
        self._endpoint = None
        self._execution_id = None
        self._execution_index = None
        self._expiration = None
        self._expiration_in_days = None
        self._expiration_in_seconds = None
        self._expiration_unit = None
        self._expires_on_in_micros = None
        self._id = None
        self._index = None
        self._message = None
        self._name = None
        self._org_id = None
        self._parent_id = None
        self._pipeline = None
        self._pipeline_id = None
        self._project_id = None
        self._requested_by = None
        self._requested_on_in_micros = None
        self._responded_by = None
        self._responded_by_email = None
        self._responded_on_in_micros = None
        self._responder_roles = None
        self._responder_token = None
        self._resume_count = None
        self._sendemail = None
        self._stage_key = None
        self._status = None
        self._summary = None
        self._tags = None
        self._task_execution_id = None
        self._task_key = None
        self._updated_at = None
        self._updated_by = None
        self._version = None
        self.discriminator = None
        if approver_groups is not None:
            self.approver_groups = approver_groups
        if approvers is not None:
            self.approvers = approvers
        if cancel_previous_pending_user_op is not None:
            self.cancel_previous_pending_user_op = cancel_previous_pending_user_op
        if change_log is not None:
            self.change_log = change_log
        if comments is not None:
            self.comments = comments
        if created_at is not None:
            self.created_at = created_at
        if created_by is not None:
            self.created_by = created_by
        if description is not None:
            self.description = description
        if endpoint is not None:
            self.endpoint = endpoint
        if execution_id is not None:
            self.execution_id = execution_id
        if execution_index is not None:
            self.execution_index = execution_index
        if expiration is not None:
            self.expiration = expiration
        if expiration_in_days is not None:
            self.expiration_in_days = expiration_in_days
        if expiration_in_seconds is not None:
            self.expiration_in_seconds = expiration_in_seconds
        if expiration_unit is not None:
            self.expiration_unit = expiration_unit
        if expires_on_in_micros is not None:
            self.expires_on_in_micros = expires_on_in_micros
        if id is not None:
            self.id = id
        if index is not None:
            self.index = index
        if message is not None:
            self.message = message
        if name is not None:
            self.name = name
        if org_id is not None:
            self.org_id = org_id
        if parent_id is not None:
            self.parent_id = parent_id
        if pipeline is not None:
            self.pipeline = pipeline
        if pipeline_id is not None:
            self.pipeline_id = pipeline_id
        if project_id is not None:
            self.project_id = project_id
        if requested_by is not None:
            self.requested_by = requested_by
        if requested_on_in_micros is not None:
            self.requested_on_in_micros = requested_on_in_micros
        if responded_by is not None:
            self.responded_by = responded_by
        if responded_by_email is not None:
            self.responded_by_email = responded_by_email
        if responded_on_in_micros is not None:
            self.responded_on_in_micros = responded_on_in_micros
        if responder_roles is not None:
            self.responder_roles = responder_roles
        if responder_token is not None:
            self.responder_token = responder_token
        if resume_count is not None:
            self.resume_count = resume_count
        if sendemail is not None:
            self.sendemail = sendemail
        if stage_key is not None:
            self.stage_key = stage_key
        if status is not None:
            self.status = status
        if summary is not None:
            self.summary = summary
        if tags is not None:
            self.tags = tags
        if task_execution_id is not None:
            self.task_execution_id = task_execution_id
        if task_key is not None:
            self.task_key = task_key
        if updated_at is not None:
            self.updated_at = updated_at
        if updated_by is not None:
            self.updated_by = updated_by
        if version is not None:
            self.version = version

    @property
    def approver_groups(self):
        """Gets the approver_groups of this UserOpResource.  # noqa: E501


        :return: The approver_groups of this UserOpResource.  # noqa: E501
        :rtype: list[str]
        """
        return self._approver_groups

    @approver_groups.setter
    def approver_groups(self, approver_groups):
        """Sets the approver_groups of this UserOpResource.


        :param approver_groups: The approver_groups of this UserOpResource.  # noqa: E501
        :type: list[str]
        """

        self._approver_groups = approver_groups

    @property
    def approvers(self):
        """Gets the approvers of this UserOpResource.  # noqa: E501


        :return: The approvers of this UserOpResource.  # noqa: E501
        :rtype: list[str]
        """
        return self._approvers

    @approvers.setter
    def approvers(self, approvers):
        """Sets the approvers of this UserOpResource.


        :param approvers: The approvers of this UserOpResource.  # noqa: E501
        :type: list[str]
        """

        self._approvers = approvers

    @property
    def cancel_previous_pending_user_op(self):
        """Gets the cancel_previous_pending_user_op of this UserOpResource.  # noqa: E501


        :return: The cancel_previous_pending_user_op of this UserOpResource.  # noqa: E501
        :rtype: bool
        """
        return self._cancel_previous_pending_user_op

    @cancel_previous_pending_user_op.setter
    def cancel_previous_pending_user_op(self, cancel_previous_pending_user_op):
        """Sets the cancel_previous_pending_user_op of this UserOpResource.


        :param cancel_previous_pending_user_op: The cancel_previous_pending_user_op of this UserOpResource.  # noqa: E501
        :type: bool
        """

        self._cancel_previous_pending_user_op = cancel_previous_pending_user_op

    @property
    def change_log(self):
        """Gets the change_log of this UserOpResource.  # noqa: E501


        :return: The change_log of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._change_log

    @change_log.setter
    def change_log(self, change_log):
        """Sets the change_log of this UserOpResource.


        :param change_log: The change_log of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._change_log = change_log

    @property
    def comments(self):
        """Gets the comments of this UserOpResource.  # noqa: E501


        :return: The comments of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._comments

    @comments.setter
    def comments(self, comments):
        """Sets the comments of this UserOpResource.


        :param comments: The comments of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._comments = comments

    @property
    def created_at(self):
        """Gets the created_at of this UserOpResource.  # noqa: E501


        :return: The created_at of this UserOpResource.  # noqa: E501
        :rtype: datetime
        """
        return self._created_at

    @created_at.setter
    def created_at(self, created_at):
        """Sets the created_at of this UserOpResource.


        :param created_at: The created_at of this UserOpResource.  # noqa: E501
        :type: datetime
        """

        self._created_at = created_at

    @property
    def created_by(self):
        """Gets the created_by of this UserOpResource.  # noqa: E501


        :return: The created_by of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._created_by

    @created_by.setter
    def created_by(self, created_by):
        """Sets the created_by of this UserOpResource.


        :param created_by: The created_by of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._created_by = created_by

    @property
    def description(self):
        """Gets the description of this UserOpResource.  # noqa: E501


        :return: The description of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this UserOpResource.


        :param description: The description of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def endpoint(self):
        """Gets the endpoint of this UserOpResource.  # noqa: E501


        :return: The endpoint of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._endpoint

    @endpoint.setter
    def endpoint(self, endpoint):
        """Sets the endpoint of this UserOpResource.


        :param endpoint: The endpoint of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._endpoint = endpoint

    @property
    def execution_id(self):
        """Gets the execution_id of this UserOpResource.  # noqa: E501


        :return: The execution_id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._execution_id

    @execution_id.setter
    def execution_id(self, execution_id):
        """Sets the execution_id of this UserOpResource.


        :param execution_id: The execution_id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._execution_id = execution_id

    @property
    def execution_index(self):
        """Gets the execution_index of this UserOpResource.  # noqa: E501


        :return: The execution_index of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._execution_index

    @execution_index.setter
    def execution_index(self, execution_index):
        """Sets the execution_index of this UserOpResource.


        :param execution_index: The execution_index of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._execution_index = execution_index

    @property
    def expiration(self):
        """Gets the expiration of this UserOpResource.  # noqa: E501


        :return: The expiration of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._expiration

    @expiration.setter
    def expiration(self, expiration):
        """Sets the expiration of this UserOpResource.


        :param expiration: The expiration of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._expiration = expiration

    @property
    def expiration_in_days(self):
        """Gets the expiration_in_days of this UserOpResource.  # noqa: E501


        :return: The expiration_in_days of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._expiration_in_days

    @expiration_in_days.setter
    def expiration_in_days(self, expiration_in_days):
        """Sets the expiration_in_days of this UserOpResource.


        :param expiration_in_days: The expiration_in_days of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._expiration_in_days = expiration_in_days

    @property
    def expiration_in_seconds(self):
        """Gets the expiration_in_seconds of this UserOpResource.  # noqa: E501


        :return: The expiration_in_seconds of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._expiration_in_seconds

    @expiration_in_seconds.setter
    def expiration_in_seconds(self, expiration_in_seconds):
        """Sets the expiration_in_seconds of this UserOpResource.


        :param expiration_in_seconds: The expiration_in_seconds of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._expiration_in_seconds = expiration_in_seconds

    @property
    def expiration_unit(self):
        """Gets the expiration_unit of this UserOpResource.  # noqa: E501


        :return: The expiration_unit of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._expiration_unit

    @expiration_unit.setter
    def expiration_unit(self, expiration_unit):
        """Sets the expiration_unit of this UserOpResource.


        :param expiration_unit: The expiration_unit of this UserOpResource.  # noqa: E501
        :type: str
        """
        allowed_values = ["MINUTES", "HOURS", "DAYS"]  # noqa: E501
        if expiration_unit not in allowed_values:
            raise ValueError(
                "Invalid value for `expiration_unit` ({0}), must be one of {1}"  # noqa: E501
                .format(expiration_unit, allowed_values)
            )

        self._expiration_unit = expiration_unit

    @property
    def expires_on_in_micros(self):
        """Gets the expires_on_in_micros of this UserOpResource.  # noqa: E501


        :return: The expires_on_in_micros of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._expires_on_in_micros

    @expires_on_in_micros.setter
    def expires_on_in_micros(self, expires_on_in_micros):
        """Sets the expires_on_in_micros of this UserOpResource.


        :param expires_on_in_micros: The expires_on_in_micros of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._expires_on_in_micros = expires_on_in_micros

    @property
    def id(self):
        """Gets the id of this UserOpResource.  # noqa: E501


        :return: The id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this UserOpResource.


        :param id: The id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def index(self):
        """Gets the index of this UserOpResource.  # noqa: E501


        :return: The index of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._index

    @index.setter
    def index(self, index):
        """Sets the index of this UserOpResource.


        :param index: The index of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._index = index

    @property
    def message(self):
        """Gets the message of this UserOpResource.  # noqa: E501


        :return: The message of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this UserOpResource.


        :param message: The message of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._message = message

    @property
    def name(self):
        """Gets the name of this UserOpResource.  # noqa: E501


        :return: The name of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this UserOpResource.


        :param name: The name of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def org_id(self):
        """Gets the org_id of this UserOpResource.  # noqa: E501


        :return: The org_id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this UserOpResource.


        :param org_id: The org_id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    @property
    def parent_id(self):
        """Gets the parent_id of this UserOpResource.  # noqa: E501


        :return: The parent_id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._parent_id

    @parent_id.setter
    def parent_id(self, parent_id):
        """Sets the parent_id of this UserOpResource.


        :param parent_id: The parent_id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._parent_id = parent_id

    @property
    def pipeline(self):
        """Gets the pipeline of this UserOpResource.  # noqa: E501


        :return: The pipeline of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._pipeline

    @pipeline.setter
    def pipeline(self, pipeline):
        """Sets the pipeline of this UserOpResource.


        :param pipeline: The pipeline of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._pipeline = pipeline

    @property
    def pipeline_id(self):
        """Gets the pipeline_id of this UserOpResource.  # noqa: E501


        :return: The pipeline_id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._pipeline_id

    @pipeline_id.setter
    def pipeline_id(self, pipeline_id):
        """Sets the pipeline_id of this UserOpResource.


        :param pipeline_id: The pipeline_id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._pipeline_id = pipeline_id

    @property
    def project_id(self):
        """Gets the project_id of this UserOpResource.  # noqa: E501


        :return: The project_id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this UserOpResource.


        :param project_id: The project_id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def requested_by(self):
        """Gets the requested_by of this UserOpResource.  # noqa: E501


        :return: The requested_by of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._requested_by

    @requested_by.setter
    def requested_by(self, requested_by):
        """Sets the requested_by of this UserOpResource.


        :param requested_by: The requested_by of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._requested_by = requested_by

    @property
    def requested_on_in_micros(self):
        """Gets the requested_on_in_micros of this UserOpResource.  # noqa: E501


        :return: The requested_on_in_micros of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._requested_on_in_micros

    @requested_on_in_micros.setter
    def requested_on_in_micros(self, requested_on_in_micros):
        """Sets the requested_on_in_micros of this UserOpResource.


        :param requested_on_in_micros: The requested_on_in_micros of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._requested_on_in_micros = requested_on_in_micros

    @property
    def responded_by(self):
        """Gets the responded_by of this UserOpResource.  # noqa: E501


        :return: The responded_by of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._responded_by

    @responded_by.setter
    def responded_by(self, responded_by):
        """Sets the responded_by of this UserOpResource.


        :param responded_by: The responded_by of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._responded_by = responded_by

    @property
    def responded_by_email(self):
        """Gets the responded_by_email of this UserOpResource.  # noqa: E501


        :return: The responded_by_email of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._responded_by_email

    @responded_by_email.setter
    def responded_by_email(self, responded_by_email):
        """Sets the responded_by_email of this UserOpResource.


        :param responded_by_email: The responded_by_email of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._responded_by_email = responded_by_email

    @property
    def responded_on_in_micros(self):
        """Gets the responded_on_in_micros of this UserOpResource.  # noqa: E501


        :return: The responded_on_in_micros of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._responded_on_in_micros

    @responded_on_in_micros.setter
    def responded_on_in_micros(self, responded_on_in_micros):
        """Sets the responded_on_in_micros of this UserOpResource.


        :param responded_on_in_micros: The responded_on_in_micros of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._responded_on_in_micros = responded_on_in_micros

    @property
    def responder_roles(self):
        """Gets the responder_roles of this UserOpResource.  # noqa: E501


        :return: The responder_roles of this UserOpResource.  # noqa: E501
        :rtype: list[str]
        """
        return self._responder_roles

    @responder_roles.setter
    def responder_roles(self, responder_roles):
        """Sets the responder_roles of this UserOpResource.


        :param responder_roles: The responder_roles of this UserOpResource.  # noqa: E501
        :type: list[str]
        """

        self._responder_roles = responder_roles

    @property
    def responder_token(self):
        """Gets the responder_token of this UserOpResource.  # noqa: E501


        :return: The responder_token of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._responder_token

    @responder_token.setter
    def responder_token(self, responder_token):
        """Sets the responder_token of this UserOpResource.


        :param responder_token: The responder_token of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._responder_token = responder_token

    @property
    def resume_count(self):
        """Gets the resume_count of this UserOpResource.  # noqa: E501


        :return: The resume_count of this UserOpResource.  # noqa: E501
        :rtype: int
        """
        return self._resume_count

    @resume_count.setter
    def resume_count(self, resume_count):
        """Sets the resume_count of this UserOpResource.


        :param resume_count: The resume_count of this UserOpResource.  # noqa: E501
        :type: int
        """

        self._resume_count = resume_count

    @property
    def sendemail(self):
        """Gets the sendemail of this UserOpResource.  # noqa: E501


        :return: The sendemail of this UserOpResource.  # noqa: E501
        :rtype: bool
        """
        return self._sendemail

    @sendemail.setter
    def sendemail(self, sendemail):
        """Sets the sendemail of this UserOpResource.


        :param sendemail: The sendemail of this UserOpResource.  # noqa: E501
        :type: bool
        """

        self._sendemail = sendemail

    @property
    def stage_key(self):
        """Gets the stage_key of this UserOpResource.  # noqa: E501


        :return: The stage_key of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._stage_key

    @stage_key.setter
    def stage_key(self, stage_key):
        """Sets the stage_key of this UserOpResource.


        :param stage_key: The stage_key of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._stage_key = stage_key

    @property
    def status(self):
        """Gets the status of this UserOpResource.  # noqa: E501


        :return: The status of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this UserOpResource.


        :param status: The status of this UserOpResource.  # noqa: E501
        :type: str
        """
        allowed_values = ["ACTIVE", "APPROVED", "CANCELED", "EXPIRED", "REJECTED"]  # noqa: E501
        if status not in allowed_values:
            raise ValueError(
                "Invalid value for `status` ({0}), must be one of {1}"  # noqa: E501
                .format(status, allowed_values)
            )

        self._status = status

    @property
    def summary(self):
        """Gets the summary of this UserOpResource.  # noqa: E501


        :return: The summary of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._summary

    @summary.setter
    def summary(self, summary):
        """Sets the summary of this UserOpResource.


        :param summary: The summary of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._summary = summary

    @property
    def tags(self):
        """Gets the tags of this UserOpResource.  # noqa: E501


        :return: The tags of this UserOpResource.  # noqa: E501
        :rtype: list[str]
        """
        return self._tags

    @tags.setter
    def tags(self, tags):
        """Sets the tags of this UserOpResource.


        :param tags: The tags of this UserOpResource.  # noqa: E501
        :type: list[str]
        """

        self._tags = tags

    @property
    def task_execution_id(self):
        """Gets the task_execution_id of this UserOpResource.  # noqa: E501


        :return: The task_execution_id of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._task_execution_id

    @task_execution_id.setter
    def task_execution_id(self, task_execution_id):
        """Sets the task_execution_id of this UserOpResource.


        :param task_execution_id: The task_execution_id of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._task_execution_id = task_execution_id

    @property
    def task_key(self):
        """Gets the task_key of this UserOpResource.  # noqa: E501


        :return: The task_key of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._task_key

    @task_key.setter
    def task_key(self, task_key):
        """Sets the task_key of this UserOpResource.


        :param task_key: The task_key of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._task_key = task_key

    @property
    def updated_at(self):
        """Gets the updated_at of this UserOpResource.  # noqa: E501


        :return: The updated_at of this UserOpResource.  # noqa: E501
        :rtype: datetime
        """
        return self._updated_at

    @updated_at.setter
    def updated_at(self, updated_at):
        """Sets the updated_at of this UserOpResource.


        :param updated_at: The updated_at of this UserOpResource.  # noqa: E501
        :type: datetime
        """

        self._updated_at = updated_at

    @property
    def updated_by(self):
        """Gets the updated_by of this UserOpResource.  # noqa: E501


        :return: The updated_by of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._updated_by

    @updated_by.setter
    def updated_by(self, updated_by):
        """Sets the updated_by of this UserOpResource.


        :param updated_by: The updated_by of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._updated_by = updated_by

    @property
    def version(self):
        """Gets the version of this UserOpResource.  # noqa: E501


        :return: The version of this UserOpResource.  # noqa: E501
        :rtype: str
        """
        return self._version

    @version.setter
    def version(self, version):
        """Sets the version of this UserOpResource.


        :param version: The version of this UserOpResource.  # noqa: E501
        :type: str
        """

        self._version = version

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(UserOpResource, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, UserOpResource):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
